# Uses of Class
javax.swing.plaf.SliderUI

Packages that use SliderUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of SliderUI in javax.swing

Methods in javax.swing that return SliderUI
Modifier and Type
Method
Description
`SliderUI`
JSlider.`getUI()`
Gets the UI object which implements the L&F for this component.
Methods in javax.swing with parameters of type SliderUI
Modifier and Type
Method
Description
`void`
JSlider.`setUI(SliderUI ui)`
Sets the UI object which implements the L&F for this component.

## Uses of SliderUI in javax.swing.plaf.basic

Subclasses of SliderUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicSliderUI`
A Basic L&F implementation of SliderUI.

## Uses of SliderUI in javax.swing.plaf.metal

Subclasses of SliderUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalSliderUI`
A Java L&F implementation of SliderUI.

## Uses of SliderUI in javax.swing.plaf.multi

Subclasses of SliderUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiSliderUI`
A multiplexing UI used to combine `SliderUI`s.

## Uses of SliderUI in javax.swing.plaf.synth

Subclasses of SliderUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthSliderUI`
Provides the Synth L&F UI delegate for `JSlider`.